Summary: Generic NQS queueing utility
Name: Generic-NQS
Version: 3.50.4
Release: 1
Copyright: GPL version 1, see COPYING for details
Group: Utilities/System
Source: ftp://ftp.shef.ac.uk/pub/uni/projects/nqs/v3.5x/Generic-NQS-3.50.4.tar.gz
Patch0: GNQS.redhat-5.0.patches
Packager: Colin Wilson <colin@u.washington.edu>

%description
Generic NQS is a generic UNIX queueing system for batch queue processing
It is maintained by Stuart Herbert <S.Herbert@sheffield.ac.uk>.
See http://www.shef.ac.uk/~nqs

%changelog

* Wed Apr 15 1998  Colin Wilson <colin@u.washington.edu>

- initial wack.  I'm not too happy with it but SETUP & RPM interact badly
- as currently setup GNQS must be built into /usr/bin

%prep

%setup 

%patch 

%ifarch alpha
pwd
cd SETUPDir/Platforms
if [ ! -f alpha-unknown-linux ] ; then
	cat > alpha-unknown-linux << EOF
#
# Machine description file
# for alpha-unkown-linux
# created by rpm
INCLUDE "linux"
EOF
fi
%endif

%build
./SETUP

%install
cat > /etc/rc.d/init.d/nqs <<EOF
#!/bin/sh
#
# nqs          This shell script takes care of starting and stopping nqs.
#

QMGR=/usr/bin/qmgr
[ -f \$QMGR ] || exit 0

#function library
. /etc/rc.d/init.d/functions

# See how we were called.
case "\$1" in
  start)
        # Start daemons.
        echo -n "Starting nqs: "
        \$QMGR start nqs 
	    sleep 1
        echo
        ;;
  stop)
        # Stop daemons.
        echo -n "Shutting down nqs: "
        \$QMGR  shutdown
        echo "done"
        ;;
  status)
		status nqs
		;;
  restart)
		\$0 stop
		\$0 start
		;;
  *)
        echo "Usage: nqs.init {start|stop|restart|status}"
        exit 1
esac

exit 0
EOF
chmod +x /etc/rc.d/init.d/nqs
for I in 0 1 2 6; do
	ln -sf /etc/rc.d/init.d/nqs /etc/rc.d/rc$I.d/K10nqs
done
for I in 3 5; do
	ln -sf /etc/rc.d/init.d/nqs /etc/rc.d/rc$I.d/S90nqs
done

%post
grep nqs /etc/services | grep 607 || 
      echo "nqs     607/tcp         # Generic NQS batch system" >> /etc/services
/usr/sbin/nqsmkdirs
/usr/sbin/nqsmktrans

%files
%dir /var/spool/nqs
%dir /usr/lib/nqs
/usr/bin/qalter
/usr/bin/qcat
/usr/bin/qdel
/usr/bin/qsuspend
/usr/bin/qdev
/usr/bin/qhold
/usr/bin/qlimit
/usr/bin/qmgr
/usr/bin/qmsg
/usr/bin/qpr
/usr/bin/qrls
/usr/bin/qstat
/usr/bin/qsub
/usr/bin/nmapmgr
/usr/bin/qacct
/usr/sbin/finish_autoinst
/usr/sbin/lpserver
/usr/sbin/netclient
/usr/sbin/pipeclient
/usr/sbin/shlexefai
/usr/sbin/loaddaemon
/usr/sbin/netdaemon
/usr/sbin/netserver
/usr/sbin/nqsdaemon
/usr/sbin/nqsmktrans
/usr/sbin/nqsmkdirs
/usr/man/man1/list_nqs_queues.man
/usr/man/man1/nmapmgr.1m
/usr/man/man1/nqs.1
/usr/man/man1/nqsconfig.1
/usr/man/man1/nqsgs.1
/usr/man/man1/nqsrn.1
/usr/man/man1/qacct.1
/usr/man/man1/qalter.1
/usr/man/man1/qcat.1
/usr/man/man1/qcat.man
/usr/man/man1/qcmplx.1
/usr/man/man1/qdel.1
/usr/man/man1/qdev.1
/usr/man/man1/qhold.1
/usr/man/man1/qjob.1
/usr/man/man1/qlimit.1
/usr/man/man1/qmgr.1m
/usr/man/man1/qmsg.1
/usr/man/man1/qpr.1
/usr/man/man1/qresume.1
/usr/man/man1/qrls.1
/usr/man/man1/qstat.1
/usr/man/man1/qstatc.1
/usr/man/man1/qsub.1
/usr/man/man1/qsuspend.1
/etc/rc.d/init.d/nqs
/etc/rc.d/rc?.d/*nqs
%config /usr/lib/nqs/nmap/machines
/usr/lib/nqs/GNQS.VERSION
/usr/lib/nqs/General.conf.def
/usr/lib/nqs/qmgr.hlp
